Bug 55933 - improve documentation on running clients with Valgrind
Summary: improve documentation on running clients with Valgrind
Status: RESOLVED MOVED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.5
Hardware: All All
: low enhancement
Assignee: D-Bus Maintainers
QA Contact: D-Bus Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-12 16:35 UTC by Arun Raghavan
Modified: 2018-10-12 21:15 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
0001-Add-documentation-on-running-clients-with-Valgrind.patch (1.49 KB, patch)
2012-10-12 16:36 UTC, Arun Raghavan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Arun Raghavan 2012-10-12 16:35:59 UTC
I've also added this information to the wiki at:

www.freedesktop.org/wiki/Software/dbus/RunningClientsWithValgrind
Comment 1 Arun Raghavan 2012-10-12 16:36:37 UTC
Created attachment 68495 [details] [review]
0001-Add-documentation-on-running-clients-with-Valgrind.patch
Comment 2 Simon McVittie 2012-10-12 16:39:44 UTC
(dbus/doc is not the documentation of dbus/core, it's a dead project to embed Telepathy-like API docs in D-Bus introspection.)
Comment 3 Simon McVittie 2012-10-12 16:41:28 UTC
Comment on attachment 68495 [details] [review]
0001-Add-documentation-on-running-clients-with-Valgrind.patch

Review of attachment 68495 [details] [review]:
-----------------------------------------------------------------

It's a good start. Ideally it'd also describe the configuration that I set up in recent Debian, where there's an LD_LIBRARY_PATH-ready copy of debug-enabled dbus in the dbus-1-dbg package, but I can add that myself at some point.
Comment 4 Simon McVittie 2012-11-09 15:36:59 UTC
I committed your patch for 1.7.0, and edited the wiki page to point to README.valgrind in cgit.

Retitling this bug to cover the rest.
Comment 5 GitLab Migration User 2018-10-12 21:15:12 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/dbus/dbus/issues/74.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.